Saxon API for .NET |

# SchemaResolver.GetSchemaDocuments Method

Given a targetNamespace and a set of location hints, return a set of schema documents.

Uri[] GetSchemaDocuments(
string targetNamespace,
Uri baseUri,
string[] locationHints
);

#### Parameters

targetNamespace
  The target namespace of the required schema components
baseUri
  The base URI of the module containing the reference to a schema document declaration
locationHints
  The sequence of URIs (if any) listed as location hints. In most cases there will only be one; but the `import schema` declaration in XQuery permits several.

#### Return Value

A set of absolute Uris identifying the query modules to be loaded. There is no requirement that these correspond one-to-one with the URIs defined in the `locationHints`. The returned URIs will be dereferenced by calling the `GetEntity` method.

#### See Also

SchemaResolver Interface | Saxon.Api Namespace